#include "os.h"

#include "app.h"
#include "sounder.h"
#include "scigame.h"
#include "window.h"
#include "util.h"
#include "timer.h"
#include "game.h"
#include "ztimer.h"

#include <stdio.h>

extern HWND hDlg1;

unsigned int gunCalls = 0;
unsigned int gunTimer = 0;
LZTimer goLZTimer;

// need to be here to fix problem with unresolved functions in zen timer
ulong	_PUBAPI ULZReadTime(void)
{return 0;}
ulong	_PUBAPI ULZElapsedTime(ulong start,ulong finish)
{return 0;}

double fGetTimerRatio(void) 
{
	if (gunCalls) {
		return ((double)gunTimer) / gunCalls;
	} else {
		return 0.0;
	}
}

;Application::Application()
{
	mfFPS = 0.0;
	gunCalls = 0;
	gunTimer = 0;
	//ZTimerInit();
}

Application::~Application()
{
}

DWORD oldMilli = 0;
DWORD newMilli = 0;

void Application::UpdateFrame()
{
#if 0
	DWORD dwThisCheck = GetTickCount();
	DWORD dwDiff = dwThisCheck - mdwLastCheck;
	mdwLastCheck = dwThisCheck;
	if (dwDiff)
		mfFPS = ((4.0*mfFPS) + 1000.0 / dwDiff ) / 5.0;
	else
		mfFPS = 20.0;
#endif

	pWindow->PaintIfDirty();
}

void Application::Idle()
{
	MSG msg;
	static int oldX = 0;
	static int oldY = 0;

	VApplication::Idle();

	// PB - FLUSH MESSAGE QUEUE
	while (PeekMessage(&msg, NULL, NULL, NULL, PM_REMOVE)) 
	{
		if (!(hDlg1 && IsDialogMessage(hDlg1, &msg))) 
		{
			if (msg.message == WM_QUIT && !bDone) 
			{
				bDone = TRUE;
				iReturnResult = msg.wParam;
				game->QuitGame();
				return;
			}
			TranslateMessage(&msg);
			DispatchMessage(&msg);
		}
	}
	// Get the mouse position and update the cursor.
	/*
	GetCursorPos(&p);
	ScreenToClient(pWindow->hWnd, &p);
	if (
		((p.x != oldX) || (p.y != oldY)) &&
		(((p.x < 0) || (p.x > 639)) ||
		 ((p.y < 0) || (p.y > 479)))) {
		msg.hwnd = pWindow->hWnd;
		msg.message = WM_MOUSEMOVE;
		msg.wParam = 0;
		msg.lParam = MAKELONG(p.x, p.y);
		DispatchMessage(&msg);
	}
	*/
}

void Application::WaitTillNextTick()
{
	int timeToSleep;

	newMilli = timeGetTime();
	timeToSleep = 10 - (newMilli - oldMilli);
	if (timeToSleep < 2) {
		timeToSleep = 0;
	}
	if (timeToSleep > 0) {
		Sleep(timeToSleep);
	}
}
