#ifndef _dwdheader
#define _dwdheader

#ifndef _os_h
#include "os.h"
#endif

// keep this number divisible by 4 for sample alignment
#define	DWDSOUNDBUFFERSIZE				(64*1024)
#define DWDSTREAMFILESIZETHRESHOLD		(1024*1024)
#define DWDSTREAMTAG					(0xFFEEDDCC)
#define DWS_PREFERRED_OUTPUTRATE		44100
#define DWS_PREFERRED_VOICECOUNT		5
#define DWS_PREFERRED_DIGCAP			dws_digcap_44100_16_2

typedef struct
{
	BYTE	stringName[23];
	BYTE	jEof;
	BYTE	jmajorversion;
	BYTE	jminorversion;
	BYTE	dwuniquesoundid[4];
	BYTE	jReserved1;
	BYTE	jCompressionType;
	BYTE	wSamplingRate[2];
	BYTE	jChannels;
	BYTE	jBitsPerSample;
	BYTE	wAbsoluteValueOfLargestSample[2];
	BYTE	dwLengthOfDataSection[4];
	BYTE	dwSamples[4];
	BYTE	dwDataOffset[4];
	BYTE	dwReserved2[4];
	BYTE	wPadding[2];
} dws_DWDHEADER;

#endif