#ifndef _MISSIONGOAL_H_
#define _MISSIONGOAL_H_

typedef enum TAG_TYPE_MISSIONGOAL
{
	MISSIONGOAL_DESTROYOBJECT,
	MISSIONGOAL_MOVETOAREA,
	MISSIONGOAL_NUNITSOFMLEVEL,
	MISSIONGOAL_FINDITEM,
} TYPE_MISSIONGOAL;

class MissionGoal : public DrawObj
{
public:
	MissionGoal(MapPlane * poPlane, int nTemplateID);
	~MissionGoal();

	void vGameCycle();
	void SetRequired(BOOL bVal);
	BOOL GetRequired();
	void SetText(LPCTSTR strNew);
	LPTSTR GetText();
	BOOL GetCompleted() { return mbCompleted; }
	void vDraw();
	void vSetNode(MapNode *poNode);
	void vSaveMap(FILE *file, WORD wVersion);
	void vLoadMap(FILE *file, WORD wVersion);
	void vMapEditHandleEvent(sciEvent &oEvent);
protected:
	LPTSTR strText;
	BOOL mbRequired;
	BOOL mbCompleted;
	BOOL mbSecret;

	BOOL mbTargetObject;
	int mnTargetObjectID;
	int mnTargetX;
	int mnTargetY;
	sciText * TextObject;
	TYPE_MISSIONGOAL meType;
};

#endif