#include "os.h"
#include "rc.h"
#include "util.h"
#include "rooms.h"
#include "room0.h"
#include "sigs.h"
#include "sciactor.h"
#include "scicycle.h"
#include "scimotn.h"

#include "mapnode.h"
#include "mapplane.h"
#include "debug.h"
#include "player.h"
#include "unit.h"
#include "splash.h"

//extern SIGS *sigs;

Room0 *room0;
Palette *spoPal;

#undef DEBUG_QUICKSTART_NOREALIZE

Room0::Room0()
{
	/*
	if (sigs) {
		delete sigs;
		sigs = NULL;
	}
	*/
	//SetPic(ROOM_0);

	// realize a black palette
#ifndef DEBUG_QUICKSTART_NOREALIZE
	spoPal = new Palette(1);
	spoPal->ActivatePalette();
	delete spoPal;
#endif
	// realize our real palette
	spoPal = new Palette(100);

#ifndef DEBUG_QUICKSTART_NOREALIZE
	spoPal->ActivatePalette();
#endif	

	room0 = this;
}

Room0::~Room0()
{
	if (spoPal)
		delete spoPal;
}

void Room0::Init()
{
	// sciActor *v;

	sciRoom::Init();

	// SetMainMenu(ROOM0_MENU);

	// SetPic(10);

	// SetScript(new Room0Script);
	// v = new sciActor();
	// v->SetView(1000);
	// v->Init();
	// v->Posn(200, 200);
	// v->Show();
	// v->cycleSpeed = 0;
	// v->SetCycle(new sciForward());
	// v->SetMotion(new sciMoveTo(NULL, 600, 300));

	/*
	MapNode *poNode = poMapPlane->mpoMap->poGetNode(10, 10);
	Unit *poUnit = new Unit(poPlayer, poMapPlane, poNode, 400);

	poNode = poMapPlane->mpoMap->poGetNode(10, 12);
	poUnit = new Unit(poPlayer, poMapPlane, poNode, 400);

	poNode = poMapPlane->mpoMap->poGetNode(10, 14);
	poUnit = new Unit(poPlayer, poMapPlane, poNode, 400);
	*/

	/* v = new sciProp(); v->SetView(1000); v->Init(); v->Posn(320, 0);
	   v->Show(); v->cycleSpeed = 0; v->SetCycle(new sciForward()); */

	//OpeningScreen *poOpen = new OpeningScreen();
	game->vSetupGame();
}

void Room0::Doit(void)
{
	sciRoom::Doit();
	// gpoMap->vDraw();
}

Boolean Room0::HandleEvent(sciEvent & event)
{

	// code has been moved to GameMap::HandleEvent
#if 0
	if (!event.claimed) {
		if (event.type == KEY_PRESS) {
			switch (event.c) {
			case VK_LEFT:
				gpoMap->vScrollLeft(1);
				event.claimed = TRUE;
				break;
			case VK_RIGHT:
				gpoMap->vScrollRight(1);
				event.claimed = TRUE;
				break;
			case VK_UP:
				gpoMap->vScrollUp(2);
				event.claimed = TRUE;
				break;
			case VK_DOWN:
				gpoMap->vScrollDown(2);
				event.claimed = TRUE;
				break;
			}
			if (event.claimed) {
				DebugString("Scroll key hit\n");
				gpoMap->vDraw();
				pApp->pWindow->ForceUpdate();
			}
		}
	}
#endif
	return event.claimed;
}



void Room0Script::ChangeState(int newState)
{
	sciScript::ChangeState(newState);
	switch (state) {
	case 0:
		break;
	}
}
