#ifndef _scifeature
#define _scifeature

#include "scievent.h"
#include "list.h"

class sciPlane;
//class sciList;

class sciFeature : public sciObject
	{
	public:
		sciFeature();
		~sciFeature();
		sciPlane *poGetPlane() {return plane;}
		virtual void Init();
		virtual Boolean HandleEvent(sciEvent &event);
		Boolean OnMe(sciFeature &obj);
		Boolean OnMe(sciEvent &event);
		virtual Boolean OnMe(int x, int y);
		virtual void SetPri(int newPri);
		int GetPri();
		virtual void Hide();
		virtual void Show();
		virtual void Render(RECT &updateRect);
		virtual void Posn(int x, int y);
		virtual void SetSize(int width, int height);
		int GetX();
		int GetY();
		int GetWidth();
		int GetHeight();
		void SetWidth(int width);
		void SetHeight(int height);
		Boolean IsNotHidden();
		Boolean IsHidden();
		virtual void vSetPlane(sciPlane *poPlane) {plane = poPlane;}

		sciPlane *plane;
		RefList<sciFeature> *cast;

	protected:
		int left;
		int top;
		int right;
		int bottom;
		int priority;
		Boolean hidden;
		int inited;
	};

#endif //_scifeature
