#ifndef _sounddwd
#define _sounddwd

class SoundManagerDiamondWare;

#include "resource.h"

#ifndef dws_INCLUDE
#include "dws.h"
#endif

class UniHandle;

extern ULONG __stdcall ThreadProcPlayStreamedSound( LPVOID pStreamedSound );
extern ULONG __stdcall ThreadProcPlayStreamedSound2( LPVOID pStreamedSound );
extern ULONG __stdcall HackPlay( LPVOID pStreamedSound );
extern dws_DPLAYCB funcPlayCallBack;

class SoundDwd : public Resource
	{
	public:
		SoundDwd(int newResourceID, ResourceManager *newResourceManager);
		virtual ~SoundDwd();
		void Free();
		BYTE *GetData();
		BOOL IsStreaming() { return mbStreaming; };
		void MainBufferStarted(WORD soundnum, SoundManagerDiamondWare * soundman);
		BYTE * SoundDwd::GetBackBuffer()
		{
			return mpjBackBuffer;
		}
		BOOL LoadBackBuffer();
		void ToggleBackBuffer();
		void ThreadAlert(WORD soundnum, SoundManagerDiamondWare * soundman);
		void CleanUp();

//		WAVE_FORMATS	wfFormat;
		WORD			wSamplesPerSec;
		DWORD			dwNumOfSamples;
		UniHandle		*pSamples;
		int				loop;
		BOOL			mbStreaming;
		HANDLE			mhEventAlert;
		HANDLE			mhEventStopped;
		BYTE*			mpDwdStream;				// FILE HANDLE FOR STREAMING
		int				mnPriority;
		int *			mpnSoundNum;
	protected:
		//UINT			munStreamBufferSize;
		BYTE *			mpjBuffer;					// MAIN BUFFER (INCLUDES BACK BUFFER)
		BYTE *			mpjBackBuffer;				// BACK BUFFER
		ULONG			mulBufferSize;				// TOTAL SIZE OF ONE BUFFER
		HANDLE			mhFile;						// FILE HANDLE FOR STREAMING
		HGLOBAL			mhDwd;						// FILE HANDLE FOR STREAMING
		DWORD			mdwLengthOfDataSection;		// LENGTH OF ENTIRE DATA SECTION OF STREAMED FILE
		WORD			mnSoundNum;
		DWORD			munRemainingSampleSize;

	};

#ifndef _SoundManager
#include "SoundManager.h"
#endif

#endif
