// TMPLTAGS.H -- tags for template files
//
// DJM

#ifndef _TMPLTAGS_
#define _TMPLTAGS_

//
// SINGLE VALUES
//

// ATTACK UNIT SPELL
#define TAG_bAUS	MAKEC4ID('b', 'A', 'U', 'S')

// DRAW (missile) in FOG OF WAR
#define TAG_dfow	MAKEC4ID('d', 'f', 'o', 'w')

// CASTING RESET AFTER SPELL
#define TAG_cras	MAKEC4ID('c', 'r', 'a', 's')

// BITMAP HIGHLIGHT (CLAN INTERFACE TEMPLATE)
#define TAG_Bhil	MAKEC4ID('B', 'h', 'i', 'l')

// SECRET
#define TAG_scrt	MAKEC4ID('s', 'c', 'r', 't')

// NETWORK GAME SYNCHRONIZATION INTERVAL
#define TAG_ngsi	MAKEC4ID('n', 'g', 's', 'i')	

// CLEAR GAME MAP INTERVAL
#define TAG_cgmi	MAKEC4ID('c', 'g', 'm', 'i')

// NO TARGET NEEDED
#define TAG_bNTN	MAKEC4ID('b', 'N', 'T', 'N')

// VISIBLE
#define TAG_bVis	MAKEC4ID('b', 'V', 'i', 's')

// sound name
#define TAG_sn01	MAKEC4ID('s', 'n', '0', '1')
#define TAG_sn02	MAKEC4ID('s', 'n', '0', '2')

// SPELL DAMAGE RANGE COEFFICIENTS
#define TAG_dmrA	MAKEC4ID('d', 'm', 'r', 'A')
#define TAG_dmrB	MAKEC4ID('d', 'm', 'r', 'B')

// SPELL DAMAGE COEFFICIENTS
#define TAG_dmgA	MAKEC4ID('d', 'm', 'g', 'A')
#define TAG_dmgB	MAKEC4ID('d', 'm', 'g', 'B')

// SPELL PARAMS
#define TAG_celc	MAKEC4ID('c', 'e', 'l', 'c')	//cel to allow cast command through rest of game cycle
#define TAG_par0	MAKEC4ID('p', 'a', 'r', '0')
#define TAG_par1	MAKEC4ID('p', 'a', 'r', '1')
#define TAG_par2	MAKEC4ID('p', 'a', 'r', '2')
#define TAG_par3	MAKEC4ID('p', 'a', 'r', '3')
#define TAG_par4	MAKEC4ID('p', 'a', 'r', '4')

// GAME SPELL TEMPLATE BASE
#define TAG_gstb	MAKEC4ID('g', 's', 't', 'b')
// GAME SPELL TEMPLATE COUNT
#define TAG_gstc	MAKEC4ID('g', 's', 't', 'c')

// SPELL DURATION COEFFICIENTS
#define TAG_durA	MAKEC4ID('d', 'u', 'r', 'A')
#define TAG_durB	MAKEC4ID('d', 'u', 'r', 'B')
#define TAG_durC	MAKEC4ID('d', 'u', 'r', 'C')

// SPELL RANGE COEFFICIENTS
#define TAG_rngA	MAKEC4ID('r', 'n', 'g', 'A')
#define TAG_rngB	MAKEC4ID('r', 'n', 'g', 'B')
#define TAG_rngC	MAKEC4ID('r', 'n', 'g', 'C')
#define TAG_rngD	MAKEC4ID('r', 'n', 'g', 'D')

// RANGE CALL FOR HELP
#define TAG_RCFH	MAKEC4ID('R', 'C', 'F', 'H')
// ADRENALINE DURATION  (TIME IN SEC)
#define TAG_AdrD	MAKEC4ID('A', 'd', 'r', 'D')
// ADRENALINE RESET (TIME IN SEC)
#define TAG_AdrR	MAKEC4ID('A', 'd', 'r', 'R')
// ADRENALINE BOOST (SPEED MULTIPLIER PERCENT ie. 1.3 for 30% BOOST)
#define TAG_AdrB	MAKEC4ID('A', 'd', 'r', 'B')

// PERCENT CHANCE TO STEAL
#define TAG_Pcts	MAKEC4ID('P', 'c', 't', 's')
// ITEM SET PLAYER FLAGS
#define TAG_Ispf	MAKEC4ID('I', 's', 'p', 'f')
// ITEM SET PLAYER FLAGS
#define TAG_Isuf	MAKEC4ID('I', 's', 'u', 'f')

// SPELL COST COEFFICIENT 1
#define TAG_SCC1	MAKEC4ID('S', 'C', 'C', '1')
// SPELL COST COEFFICIENT 2
#define TAG_SCC2	MAKEC4ID('S', 'C', 'C', '2')

// MAXIMUM ANXIETY
#define TAG_MAnx	MAKEC4ID('M', 'A', 'n', 'x')
// ANXIETY ENTER MOB
#define TAG_AnEM	MAKEC4ID('A', 'n', 'E', 'M')
// ANXIETY LEAVE MOB
#define TAG_AnLM	MAKEC4ID('A', 'n', 'L', 'M')
// ANXIETY FALLOFF RATE (per second)
#define TAG_AnFR	MAKEC4ID('A', 'n', 'F', 'R')
// ANXIETY IF INVITED TO JOIN MOB
#define TAG_AnII	MAKEC4ID('A', 'n', 'I', 'I')
// MINIMUM TIME IN BETWEEN LEAVING MOB AND JOINING NEW MOB
#define TAG_mTLJ	MAKEC4ID('m', 'T', 'L', 'J')

#define TAG_Mtba	MAKEC4ID('M', 't', 'b', 'a')
// MAXIMUM FIRE ALERT CLAN RANGE
#define TAG_MFAC	MAKEC4ID('M', 'F', 'A', 'C')
// MAXIMUM ANXIETY BLAST RANGE
#define TAG_MABR	MAKEC4ID('M', 'A', 'B', 'R')
// ANXIETY BLAST FOR FEEDING
#define TAG_ABFF	MAKEC4ID('A', 'B', 'F', 'F')
// ANXIETY BLAST FOR CONVERSION
#define TAG_ABFC	MAKEC4ID('A', 'B', 'F', 'C')
// ANXIETY BLAST FOR ATTACKING
#define TAG_ABFA	MAKEC4ID('A', 'B', 'F', 'A')
// ANXIETY BLAST FOR KILLING
#define TAG_ABFK	MAKEC4ID('A', 'B', 'F', 'K')
// ANXIETY CAUSED BY FINDING UNIT KILLED BY THIS CLAN
#define TAG_ACFU	MAKEC4ID('A', 'C', 'F', 'U')
// ANXIETY CAUSED BY UNCLOAKING WITHIN VISIBLE RANGE
#define TAG_ACUW	MAKEC4ID('A', 'C', 'U', 'W')

#define TAG_type	MAKEC4ID('t', 'y', 'p', 'e')

//global game
#define TAG_Fred	MAKEC4ID('F', 'r', 'e', 'd')	// RGB values when units are fully healthy
#define TAG_Fgre	MAKEC4ID('F', 'g', 'r', 'e')	//
#define TAG_Fblu	MAKEC4ID('F', 'b', 'l', 'u')	//

#define TAG_Ered	MAKEC4ID('E', 'r', 'e', 'd')	// RGB values when units are about to die(empty)
#define TAG_Egre	MAKEC4ID('E', 'g', 'r', 'e')	//
#define TAG_Eblu	MAKEC4ID('E', 'b', 'l', 'u')	//

#define TAG_HBGr	MAKEC4ID('H', 'B', 'G', 'r')	// Health Bar Graph RGB values 
#define TAG_HBGg	MAKEC4ID('H', 'B', 'G', 'g')	// for interface
#define TAG_HBGb	MAKEC4ID('H', 'B', 'G', 'b')	//

#define TAG_PBGr	MAKEC4ID('P', 'B', 'G', 'r')	// Power Bar Graph RGB values
#define TAG_PBGg	MAKEC4ID('P', 'B', 'G', 'g')	// for interface
#define TAG_PBGb	MAKEC4ID('P', 'B', 'G', 'b')	//

#define TAG_UBGr	MAKEC4ID('U', 'B', 'G', 'r')	// Upgrade Bar Graph RGB values 
#define TAG_UBGg	MAKEC4ID('U', 'B', 'G', 'g')	// for interface
#define TAG_UBGb	MAKEC4ID('U', 'B', 'G', 'b')	//

#define TAG_npcb	MAKEC4ID('n', 'p', 'c', 'b')	// npc class base template number
#define TAG_npcc	MAKEC4ID('n', 'p', 'c', 'c')	// npc class count

// npc unit information
#define TAG_male	MAKEC4ID('m', 'a', 'l', 'e')	// unit sex
#define TAG_clan	MAKEC4ID('c', 'l', 'a', 'n')	// unit clan 
#define TAG_bCas	MAKEC4ID('b', 'C', 'a', 's')	// Casts Spells
#define TAG_bCnv	MAKEC4ID('b', 'C', 'n', 'v')	// Convertible by biting
#define TAG_eThr	MAKEC4ID('e', 'T', 'h', 'r')	// When Thralled
#define TAG_kSPE	MAKEC4ID('k', 'S', 'P', 'E')	// Known Spells
// base upgrade settings for npc units
#define TAG_uLEV	MAKEC4ID('u', 'L', 'E', 'V')	// LEVEL
#define TAG_uSTE	MAKEC4ID('u', 'S', 'T', 'E')	// STEALTH
#define TAG_uDET	MAKEC4ID('u', 'D', 'E', 'T')	// DETECTION
#define TAG_uATT	MAKEC4ID('u', 'A', 'T', 'T')	// ATTACK
#define TAG_uDEF	MAKEC4ID('u', 'D', 'E', 'F')	// DEFEND
#define TAG_uCAS	MAKEC4ID('u', 'C', 'A', 'S')	// CASTING
#define TAG_uSPD	MAKEC4ID('u', 'S', 'P', 'D')	// SPEED
#define TAG_uSIG	MAKEC4ID('u', 'S', 'I', 'G')	// SIGHT
// base upgrade settings for converted vampire										
#define TAG_vLEV	MAKEC4ID('v', 'L', 'E', 'V')	// LEVEL
#define TAG_vSTE	MAKEC4ID('v', 'S', 'T', 'E')	// STEALTH
#define TAG_vDET	MAKEC4ID('v', 'D', 'E', 'T')	// DETECTION
#define TAG_vATT	MAKEC4ID('v', 'A', 'T', 'T')	// ATTACK
#define TAG_vDEF	MAKEC4ID('v', 'D', 'E', 'F')	// DEFEND
#define TAG_vCAS	MAKEC4ID('v', 'C', 'A', 'S')	// CASTING
#define TAG_vSPD	MAKEC4ID('v', 'S', 'P', 'D')	// SPEED
#define TAG_vSIG	MAKEC4ID('v', 'S', 'I', 'G')	// SIGHT

#define TAG_PwrC	MAKEC4ID('P', 'w', 'r', 'C')	// POWER COEFFICIENT
#define TAG_HltC	MAKEC4ID('H', 'l', 't', 'C')	// HEALTH COEFFICIENT
#define TAG_Bsig	MAKEC4ID('B', 's', 'i', 'g')	// BASE sight

#define TAG_Hred	MAKEC4ID('H', 'r', 'e', 'd')	// HIGHLIGHT COLOR
#define TAG_Hgre	MAKEC4ID('H', 'g', 'r', 'e')	//
#define TAG_Hblu	MAKEC4ID('H', 'b', 'l', 'u')	//

#define TAG_Kscr	MAKEC4ID('K', 's', 'c', 'r')	// Keyboard scroll speed
#define TAG_Mscr	MAKEC4ID('M', 's', 'c', 'r')	// Mouse scroll speed

// map objects
#define TAG_layr	MAKEC4ID('l', 'a', 'y', 'r')	// layer (default)
#define TAG_clas	MAKEC4ID('c', 'l', 'a', 's')	// 0=non-moveable, 1=unit
#define TAG_mmtt	MAKEC4ID('m', 'm', 't', 't')	// mini-map terrain type
#define TAG_drst	MAKEC4ID('d', 'r', 's', 't')	// Draw State
#define TAG_ebub	MAKEC4ID('e', 'b', 'u', 'b')	// Event bubbling, T or F, for draw objects with parents

#define TAG_rang	MAKEC4ID('r', 'a', 'n', 'g')
// CLAN
#define TAG_Lmut	MAKEC4ID('L', 'm', 'u', 't')
#define TAG_Lfut	MAKEC4ID('L', 'f', 'u', 't')
#define TAG_PMPg	MAKEC4ID('P', 'M', 'P', 'g')
#define TAG_PmPg	MAKEC4ID('P', 'm', 'P', 'g')
#define TAG_PoPg	MAKEC4ID('P', 'o', 'P', 'g')
#define TAG_IntT	MAKEC4ID('I', 'n', 't', 'T')	//Interface Template for clan

// NUMBER OF UNITS PER LEVEL
#define TAG_nUL5	MAKEC4ID('n', 'U', 'L', '5')
#define TAG_nUL4	MAKEC4ID('n', 'U', 'L', '4')
#define TAG_nUL3	MAKEC4ID('n', 'U', 'L', '3')
#define TAG_nUL2	MAKEC4ID('n', 'U', 'L', '2')
#define TAG_nUL1	MAKEC4ID('n', 'U', 'L', '1')
#define TAG_nUL0	MAKEC4ID('n', 'U', 'L', '0')

#define TAG_npnc	MAKEC4ID('n', 'p', 'n', 'c')	// POWER NEW CONVERT
#define TAG_nhnc	MAKEC4ID('n', 'h', 'n', 'c')	// HEALTH NEW CONVERT
#define TAG_nitl	MAKEC4ID('n', 'i', 't', 'l')	// IDLE TIME LIMIT
#define TAG_Dlfa	MAKEC4ID('D', 'l', 'f', 'a')	// DISTANCE TO LOOK FOR ANOTHER

#define TAG_stiX	MAKEC4ID('s', 't', 'i', 'X')	// X offset from unit's origin point to place status indicator
#define TAG_stiY	MAKEC4ID('s', 't', 'i', 'Y')	// Y offset from unit's origin point to place status indicator

// RANGE TO DECLOAK
#define TAG_nrde	MAKEC4ID('n', 'r', 'd', 'e')

// COUNT OF UNITS THAT CAN FEED SIMULTANEOUSLY ON THE SAME PEASANT
#define TAG_nMfs	MAKEC4ID('n', 'M', 'f', 's')

// PERCENTAGE MINIMUM FEEDING HEALTH
#define TAG_pmfh	MAKEC4ID('p', 'm', 'f', 'h')

// PERCENTAGE HEALTH CONVERSION FLOOR
#define TAG_pmch	MAKEC4ID('p', 'm', 'c', 'h')

// DISTANCE TO INCLUDE FRIENDLY UNITS
#define TAG_Difu	MAKEC4ID('D', 'i', 'f', 'u')
 
//ATTACK MODIFIERS
//COEFFICIENT OF MINIMUM DAMAGE
#define TAG_cmdm	MAKEC4ID('c', 'm', 'd', 'm')
//COEFFICIENT OF MAXIMUM DAMAGE ATTACK
#define TAG_cMda	MAKEC4ID('c', 'M', 'd', 'a')

//DEFEND MODIFIERS
//COEFFICIENT OF MAXIMUM DAMAGE DEFEND
#define TAG_cMdd	MAKEC4ID('c', 'M', 'd', 'd')

//UPGRADES
//PERCENT POWER TO UPGRADE LEVEL
#define TAG_PpLn	MAKEC4ID('P', 'p', 'L', 'n')
//PERCENT POWER TO UPGRADE SKILL TO 1
#define TAG_PpS1	MAKEC4ID('P', 'p', 'S', '1')
//PERCENT POWER TO UPGRADE SKILL TO 2
#define TAG_PpS2	MAKEC4ID('P', 'p', 'S', '2')

//PERCENT POWER TO SAVE FOR EMERGENCIES
#define TAG_Ppse	MAKEC4ID('P', 'p', 's', 'e')

//TIME (IN SECONDS) TO UPGRADE LEVEL N
#define TAG_TuLn	MAKEC4ID('T', 'u', 'L', 'n')
//TIME (IN SECONDS) TO UPGRADE SKILL TO 1
#define TAG_TuS1	MAKEC4ID('T', 'u', 'S', '1')
//TIME (IN SECONDS) TO UPGRADE SKILL TO 2
#define TAG_TuS2	MAKEC4ID('T', 'u', 'S', '2')

//LIST OF UNIT TEMPLATES, ONE FOR EACH LEVEL 1-6
#define TAG_Luni	MAKEC4ID('L', 'u', 'n', 'i')



// units -- only valid for class 1 (unit)
#define TAG_powr	MAKEC4ID('p', 'o', 'w', 'r')	// power
#define TAG_mpwr	MAKEC4ID('m', 'p', 'w', 'r')	// max power
#define TAG_hlth	MAKEC4ID('h', 'l', 't', 'h')	// health
#define TAG_mhlt	MAKEC4ID('m', 'h', 'l', 't')	// max health
#define TAG_levl	MAKEC4ID('l', 'e', 'v', 'l')	// level
#define TAG_rhpe	MAKEC4ID('r', 'h', 'p', 'e')	// Relative Health PEercentage calculator
#define TAG_tena	MAKEC4ID('t', 'e', 'n', 'a')	// tenacity
#define TAG_aggr	MAKEC4ID('a', 'g', 'g', 'r')	// aggression
#define TAG_sped	MAKEC4ID('s', 'p', 'e', 'd')	// speed
#define TAG_cspd	MAKEC4ID('c', 's', 'p', 'd')	// cloaked speed
#define TAG_admg	MAKEC4ID('a', 'd', 'm', 'g')	// attack damage factor
#define TAG_clok	MAKEC4ID('c', 'l', 'o', 'k')	// can cloak
#define TAG_unit	MAKEC4ID('u', 'n', 'i', 't')	// unit type 0=vampire, 1=peasant
#define TAG_arng	MAKEC4ID('a', 'r', 'n', 'g')	// how close can vampire do damage (generally 1)
#define TAG_aspd	MAKEC4ID('a', 's', 'p', 'd')	// attack speed (in cycles/attack)
#define TAG_tspd	MAKEC4ID('t', 's', 'p', 'd')	// think speed (cycles / thought)
#define TAG_frat	MAKEC4ID('f', 'r', 'a', 't')	// feed rate (health / attack)
#define TAG_anxi    MAKEC4ID('a', 'n', 'x', 'i')	// anxiety
#define TAG_vspd    MAKEC4ID('v', 's', 'p', 'd')	// convert speed

#define TAG_p2hs    MAKEC4ID('p', '2', 'h', 's')	// mnPowerConvSpeed 
#define TAG_mpph    MAKEC4ID('m', 'p', 'p', 'h')	// mnMaxPercentPowerToHealth 
#define TAG_hppr    MAKEC4ID('h', 'p', 'p', 'r')	// mnHealthPerPower

#define TAG_pwrs	MAKEC4ID('p', 'w', 'r', 's')	// mnPowerRegenSpeed 
#define TAG_pwrp	MAKEC4ID('p', 'w', 'r', 'p')	// mnPowerRegenPercent
#define TAG_pctc	MAKEC4ID('p', 'c', 't', 'c')	// Power Cost to Convert

//Shadows
#define TAG_shad	MAKEC4ID('s', 'h', 'a', 'd')	// Shadow template
#define TAG_shaX	MAKEC4ID('s', 'h', 'a', 'X')	// Shadow position offset X
#define TAG_shaY	MAKEC4ID('s', 'h', 'a', 'Y')	// Shadow position offset Y

//Map Plane Width and Height
#define TAG_mapW	MAKEC4ID('m', 'a', 'p', 'W')	//
#define TAG_mapH	MAKEC4ID('m', 'a', 'p', 'H')	//

// bitmaps
#define TAG_Bnor	MAKEC4ID('B', 'n', 'o', 'r')	// normal bitmap
#define TAG_Bcwn	MAKEC4ID('B', 'c', 'w', 'n')	// 'Crown' bitmap for vampire lords
#define TAG_Bfir	MAKEC4ID('B', 'f', 'i', 'r')	// fire bitmap
#define TAG_Bded	MAKEC4ID('B', 'd', 'e', 'd')	// dead bitmap
#define TAG_Bint	MAKEC4ID('B', 'i', 'n', 't')	// interior (for buildings)
#define TAG_Bclk	MAKEC4ID('B', 'c', 'l', 'k')	// cloaked bitmap
#define TAG_Bfiu	MAKEC4ID('B', 'f', 'i', 'u')	// Fidget Uncloaked
#define TAG_Bsll	MAKEC4ID('B', 's', 'l', 'l')	// Status Level Local indicator
#define TAG_Bsle	MAKEC4ID('B', 's', 'l', 'e')	// Status Level Enemy(non-local) indicator

#define TAG_Bpor	MAKEC4ID('B', 'p', 'o', 'r')	// portrait for 2 or more local vampires or for any single peasant or enemy
#define TAG_Bspo	MAKEC4ID('B', 's', 'p', 'o')	// Solo Portrait just for local vampire when he/she is the only vampire selected
#define TAG_Brun	MAKEC4ID('B', 'r', 'u', 'n')	// Running
#define TAG_Batt	MAKEC4ID('B', 'a', 't', 't')	// Attacking
#define TAG_Brea	MAKEC4ID('B', 'r', 'e', 'a')	// Reacting
#define TAG_Bfee	MAKEC4ID('B', 'f', 'e', 'e')	// Feeding
#define TAG_Bcas	MAKEC4ID('B', 'c', 'a', 's')	// Casting Spell
#define TAG_Bfic	MAKEC4ID('B', 'f', 'i', 'c')	// Fidget Cloaked
#define TAG_Bfiu	MAKEC4ID('B', 'f', 'i', 'u')	// Fidget Uncloaked
#define TAG_Bfco	MAKEC4ID('B', 'f', 'c', 'o')	// Fidget Cloaked as the Other players see you
//
//Bitmaps for the interface
//
//		Spell Picker
#define TAG_BPsp	MAKEC4ID('B', 'P', 's', 'p')	// spell bitmap
#define TAG_BPhh	MAKEC4ID('B', 'P', 'h', 'h')	// Hand to hand
//
//		Command Buttons
#define TAG_BCmo	MAKEC4ID('B', 'C', 'm', 'o')	// Move
#define TAG_BCat	MAKEC4ID('B', 'C', 'a', 't')	// Attack
#define TAG_BCfe	MAKEC4ID('B', 'C', 'f', 'e')	// Feed
#define TAG_BCco	MAKEC4ID('B', 'C', 'c', 'o')	// Convert
#define TAG_BCta	MAKEC4ID('B', 'C', 't', 'a')	// Take
#define TAG_BCca	MAKEC4ID('B', 'C', 'c', 'a')	// Cast
#define TAG_BCgu	MAKEC4ID('B', 'C', 'g', 'u')	// Guard
#define TAG_BCpa	MAKEC4ID('B', 'C', 'p', 'a')	// Patrol
#define TAG_BCsc	MAKEC4ID('B', 'C', 's', 'c')	// Scout
//
// 		Misc. Interface buttons
#define TAG_BImz	MAKEC4ID('B', 'I', 'm', 'z')	// Map Zoom
#define TAG_BIcp	MAKEC4ID('B', 'I', 'c', 'p')	// Control Panel
#define TAG_BIcl	MAKEC4ID('B', 'I', 'c', 'l')	// Cloak/Uncloak button
#define TAG_BIda	MAKEC4ID('B', 'I', 'd', 'a')	// Default Attack (larger icon)
#define TAG_BIna	MAKEC4ID('B', 'I', 'n', 'a')	// No clearcut default attack (2 or more units selected w/different default attacks)
#define TAG_BIcn	MAKEC4ID('B', 'I', 'c', 'n')	// Cancel


//Interface
#define TAG_Iict	MAKEC4ID('I', 'i', 'c', 't')	// Icon Template overlay
#define TAG_IicX	MAKEC4ID('I', 'i', 'c', 'X')	// Icon Template overlay x position
#define TAG_IicY	MAKEC4ID('I', 'i', 'c', 'Y')	// Icon Template overlay y position
//
#define TAG_Icbo	MAKEC4ID('I', 'c', 'b', 'o')	// Command Button Overlay
#define TAG_IcbX	MAKEC4ID('I', 'c', 'b', 'X')	// Command Button Overlay x position
#define TAG_IcbY	MAKEC4ID('I', 'c', 'b', 'Y')	// Command Button Overlay y position
//	PORTRAIT STUFF
#define TAG_Ispo	MAKEC4ID('I', 's', 'p', 'o')	// Single Portrait Overlay
#define TAG_IsoX	MAKEC4ID('I', 's', 'o', 'X')	// Single Portrait Overlay x position
#define TAG_IsoY	MAKEC4ID('I', 's', 'o', 'Y')	// Single Portrait Overlay y position
#define TAG_IsHX	MAKEC4ID('I', 's', 'H', 'X')	// Single Portrait(head) offset x position
#define TAG_IsHY	MAKEC4ID('I', 's', 'H', 'Y')	// Single Portrait(head) offset y position
//	
#define TAG_IpoX	MAKEC4ID('I', 'p', 'o', 'X')	// Portrait(head) x position
#define TAG_IpoY	MAKEC4ID('I', 'p', 'o', 'Y')	// Portrait(head) y position
#define TAG_IpoW	MAKEC4ID('I', 'p', 'o', 'W')	// Portrait(head) width
#define TAG_IpoH	MAKEC4ID('I', 'p', 'o', 'H')	// Portrait(head) height
//	portrait bar graph widths and heights
#define TAG_IphW	MAKEC4ID('I', 'p', 'h', 'W')	// Portrait Health Bar graph Width
#define TAG_IphH	MAKEC4ID('I', 'p', 'h', 'H')	// Portrait Health Bar graph Height
#define TAG_IppW	MAKEC4ID('I', 'p', 'p', 'W')	// Portrait Power Bar graph Wwidth
#define TAG_IppH	MAKEC4ID('I', 'p', 'p', 'H')	// Portrait Powert Bar graph Height
#define TAG_IpuW	MAKEC4ID('I', 'p', 'u', 'W')	// Portrait Upgrade Bar graph Width
#define TAG_IpuH	MAKEC4ID('I', 'p', 'u', 'H')	// Portrait Upgrade Bar graph Height
//	single portrait bar graph widths and heights
#define TAG_IshW	MAKEC4ID('I', 's', 'h', 'W')	// Single Portrait Health Bar graph Width
#define TAG_IshH	MAKEC4ID('I', 's', 'h', 'H')	// Single Portrait Health Bar graph Height
#define TAG_IspW	MAKEC4ID('I', 's', 'p', 'W')	// Single Portrait Power Bar graph Wwidth
#define TAG_IspH	MAKEC4ID('I', 's', 'p', 'H')	// Single Portrait Powert Bar graph Height
#define TAG_IsuW	MAKEC4ID('I', 's', 'u', 'W')	// Single Portrait Upgrade Bar graph Width
#define TAG_IsuH	MAKEC4ID('I', 's', 'u', 'H')	// Single Portrait Upgrade Bar graph Height
//	portrait bar graph offsets
#define TAG_IphX	MAKEC4ID('I', 'p', 'h', 'X')	// Portrait Health Bar graph Offset X
#define TAG_IphY	MAKEC4ID('I', 'p', 'h', 'Y')	// Portrait Health Bar graph Offset Y
#define TAG_IppX	MAKEC4ID('I', 'p', 'p', 'X')	// Portrait Power Bar graph Offset X
#define TAG_IppY	MAKEC4ID('I', 'p', 'p', 'Y')	// Portrait PowerBar graph Offset Y
#define TAG_IpuX	MAKEC4ID('I', 'p', 'u', 'X')	// Portrait Upgrade Bar graph Offset X
#define TAG_IpuY	MAKEC4ID('I', 'p', 'u', 'Y')	// Portrait Upgrade Bar graph Offset Y
//	single portrait bar graph offsets
#define TAG_IshX	MAKEC4ID('I', 's', 'h', 'X')	// Single Portrait Health Bar graph Offset X
#define TAG_IshY	MAKEC4ID('I', 's', 'h', 'Y')	// Single Portrait Health Bar graph Offset Y
#define TAG_IspX	MAKEC4ID('I', 's', 'p', 'X')	// Single Portrait Power Bar graph Offset X
#define TAG_IspY	MAKEC4ID('I', 's', 'p', 'Y')	// Single Portrait PowerBar graph Offset Y
#define TAG_IsuX	MAKEC4ID('I', 's', 'u', 'X')	// Single Portrait Upgrade Bar graph Offset X
#define TAG_IsuY	MAKEC4ID('I', 's', 'u', 'Y')	// Single Portrait Upgrade Bar graph Offset Y
//
#define TAG_IiiW	MAKEC4ID('I', 'i', 'i', 'W')	// Inventory Item slot Width
#define TAG_IiiH	MAKEC4ID('I', 'i', 'i', 'H')	// Inventory Item slot Width
#define TAG_IipT	MAKEC4ID('I', 'i', 'p', 'T')	// Inventory Plane Top offset(from upper left of portrait)
#define TAG_IipL	MAKEC4ID('I', 'i', 'p', 'L')	// Inventory Plane Left offset
#define TAG_IipB	MAKEC4ID('I', 'i', 'p', 'B')	// Inventory Plane Bottom offset
#define TAG_IipR	MAKEC4ID('I', 'i', 'p', 'R')	// Inventory Plane Right offset
//
#define TAG_IslX	MAKEC4ID('I', 's', 'l', 'X')	// Status Line x position
#define TAG_IslY	MAKEC4ID('I', 's', 'l', 'Y')	// Status Line y position
//
#define TAG_ImoX	MAKEC4ID('I', 'm', 'o', 'X')	// Move Button x position
#define TAG_ImoY	MAKEC4ID('I', 'm', 'o', 'Y')	// Move Button y position
#define TAG_IatX	MAKEC4ID('I', 'a', 't', 'X')	// Attack Button x position
#define TAG_IatY	MAKEC4ID('I', 'a', 't', 'Y')	// Attack Button y position
#define TAG_IfeX	MAKEC4ID('I', 'f', 'e', 'X')	// Feed Button x position
#define TAG_IfeY	MAKEC4ID('I', 'f', 'e', 'Y')	// Feed Button y position
#define TAG_IcoX	MAKEC4ID('I', 'c', 'o', 'X')	// Convert(vampirize) Button x position
#define TAG_IcoY	MAKEC4ID('I', 'c', 'o', 'Y')	// Convert(vampirize) Button y position
#define TAG_ItaX	MAKEC4ID('I', 't', 'a', 'X')	// Take Button x position
#define TAG_ItaY	MAKEC4ID('I', 't', 'a', 'Y')	// Take Button y position
#define TAG_IcaX	MAKEC4ID('I', 'c', 'a', 'X')	// Cast Button x position
#define TAG_IcaY	MAKEC4ID('I', 'c', 'a', 'Y')	// Cast Button y position
#define TAG_IguX	MAKEC4ID('I', 'g', 'u', 'X')	// Guard Button x position
#define TAG_IguY	MAKEC4ID('I', 'g', 'u', 'Y')	// Guard Button y position
#define TAG_IpaX	MAKEC4ID('I', 'p', 'a', 'X')	// Patrol Button x position
#define TAG_IpaY	MAKEC4ID('I', 'p', 'a', 'Y')	// Patrol Button y position
#define TAG_IscX	MAKEC4ID('I', 's', 'c', 'X')	// Patrol Button x position
#define TAG_IscY	MAKEC4ID('I', 's', 'c', 'Y')	// Patrol Button y position
//
#define TAG_IleX	MAKEC4ID('I', 'l', 'e', 'X')	// Level Upgrade starting x position
#define TAG_IleY	MAKEC4ID('I', 'l', 'e', 'Y')	// Level Upgrade starting y position
#define TAG_IagX	MAKEC4ID('I', 'a', 'g', 'X')	// Aggression Upgrade starting x position
#define TAG_IagY	MAKEC4ID('I', 'a', 'g', 'Y')	// Aggression Upgrade starting y position
#define TAG_IteX	MAKEC4ID('I', 't', 'e', 'X')	// Tenacity Upgrade starting x position
#define TAG_IteY	MAKEC4ID('I', 't', 'e', 'Y')	// Tenacity Upgrade starting y position
#define TAG_IclX	MAKEC4ID('I', 'c', 'l', 'X')	// Cloak starting x position
#define TAG_IclY	MAKEC4ID('I', 'c', 'l', 'Y')	// Cloak starting y position
#define TAG_IdaX	MAKEC4ID('I', 'd', 'a', 'X')	// Default Attack starting x position
#define TAG_IdaY	MAKEC4ID('I', 'd', 'a', 'Y')	// Default Attack starting y position
#define TAG_IcpX	MAKEC4ID('I', 'c', 'p', 'X')	// Control Panel starting x position
#define TAG_IcpY	MAKEC4ID('I', 'c', 'p', 'Y')	// Control Panel starting y position
#define TAG_ImzX	MAKEC4ID('I', 'm', 'z', 'X')	// Map Zoom starting x position
#define TAG_ImzY	MAKEC4ID('I', 'm', 'z', 'Y')	// Map Zoom starting y position
//
#define TAG_Ic1X	MAKEC4ID('I', 'c', '1', 'X')	// Upgrade 1 starting x position when only 4 or less upgrades known (centered)
#define TAG_Ic1Y	MAKEC4ID('I', 'c', '1', 'Y')	// Upgrade 1 starting y position when only 4 or less upgrades known (centered)
#define TAG_Ic2X	MAKEC4ID('I', 'c', '2', 'X')	// Upgrade 2 starting x position when only 4 or less upgrades known (centered)
#define TAG_Ic2Y	MAKEC4ID('I', 'c', '2', 'Y')	// Upgrade 2 starting y position when only 4 or less upgrades known (centered)
#define TAG_Ic3X	MAKEC4ID('I', 'c', '3', 'X')	// Upgrade 3 starting x position when only 4 or less upgrades known (centered)
#define TAG_Ic3Y	MAKEC4ID('I', 'c', '3', 'Y')	// Upgrade 3 starting y position when only 4 or less upgrades known (centered)
#define TAG_Ic4X	MAKEC4ID('I', 'c', '4', 'X')	// Upgrade 4 starting x position when only 4 or less upgrades known (centered)
#define TAG_Ic4Y	MAKEC4ID('I', 'c', '4', 'Y')	// Upgrade 4 starting y position when only 4 or less upgrades known (centered)
//
#define TAG_Iu1X	MAKEC4ID('I', 'u', '1', 'X')	// Upgrade 1 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu1Y	MAKEC4ID('I', 'u', '1', 'Y')	// Upgrade 1 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu2X	MAKEC4ID('I', 'u', '2', 'X')	// Upgrade 2 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu2Y	MAKEC4ID('I', 'u', '2', 'Y')	// Upgrade 2 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu3X	MAKEC4ID('I', 'u', '3', 'X')	// Upgrade 3 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu3Y	MAKEC4ID('I', 'u', '3', 'Y')	// Upgrade 3 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu4X	MAKEC4ID('I', 'u', '4', 'X')	// Upgrade 4 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu4Y	MAKEC4ID('I', 'u', '4', 'Y')	// Upgrade 4 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu5X	MAKEC4ID('I', 'u', '5', 'X')	// Upgrade 5 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu5Y	MAKEC4ID('I', 'u', '5', 'Y')	// Upgrade 5 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu6X	MAKEC4ID('I', 'u', '6', 'X')	// Upgrade 6 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu6Y	MAKEC4ID('I', 'u', '6', 'Y')	// Upgrade 6 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu7X	MAKEC4ID('I', 'u', '7', 'X')	// Upgrade 7 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu7Y	MAKEC4ID('I', 'u', '7', 'Y')	// Upgrade 7 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu8X	MAKEC4ID('I', 'u', '8', 'X')	// Upgrade 8 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu8Y	MAKEC4ID('I', 'u', '8', 'Y')	// Upgrade 8 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu9X	MAKEC4ID('I', 'u', '9', 'X')	// Upgrade 9 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu9Y	MAKEC4ID('I', 'u', '9', 'Y')	// Upgrade 9 starting y position when 5 or more upgrades known (columned)
#define TAG_Iu0X	MAKEC4ID('I', 'u', '0', 'X')	// Upgrade 10 starting x position when 5 or more upgrades known (columned)
#define TAG_Iu0Y	MAKEC4ID('I', 'u', '0', 'Y')	// Upgrade 10 starting y position when 5 or more upgrades known (columned)
//
// Spell picker area
#define TAG_IspL	MAKEC4ID('I', 's', 'p', 'L')	// Spell picker area Left position
#define TAG_IspT	MAKEC4ID('I', 's', 'p', 'T')	// Spell picker area Top position
#define TAG_IspR	MAKEC4ID('I', 's', 'p', 'R')	// Spell picker area Right position
#define TAG_IspB	MAKEC4ID('I', 's', 'p', 'B')	// Spell picker area Bottom position
#define TAG_Istc	MAKEC4ID('I', 's', 't', 'c')	// Starting Column for first spell
#define TAG_Istr	MAKEC4ID('I', 's', 't', 'r')	// Starting Row for first spell
#define TAG_Icop	MAKEC4ID('I', 'c', 'o', 'p')	// Column Pad between each spell icon
#define TAG_Irwp	MAKEC4ID('I', 'r', 'w', 'p')	// Row pad between each row of spell icons
#define TAG_IhhX	MAKEC4ID('I', 'h', 'h', 'X')	// Hand to hand starting X position
#define TAG_IhhY	MAKEC4ID('I', 'h', 'h', 'Y')	// Hand to hand starting Y position
#define TAG_IcnX	MAKEC4ID('I', 'c', 'n', 'X')	// Cancel button starting X position
#define TAG_IcnY	MAKEC4ID('I', 'c', 'n', 'Y')	// Cancel button starting Y position

//map scroll area
#define TAG_MfrW	MAKEC4ID('M', 'f', 'r', 'W')	// Map frame area width size
#define TAG_MfrH	MAKEC4ID('M', 'f', 'r', 'H')	// Map frame area height size
#define TAG_MfrX	MAKEC4ID('M', 'f', 'r', 'X')	// Map frame area x position
#define TAG_MfrY	MAKEC4ID('M', 'f', 'r', 'Y')	// Map frame area y position
#define TAG_MfrR	MAKEC4ID('M', 'f', 'r', 'R')	// Map frame area RGB color - Red
#define TAG_MfrG	MAKEC4ID('M', 'f', 'r', 'G')	//		Green
#define TAG_MfrB	MAKEC4ID('M', 'f', 'r', 'B')	//		Blue
#define TAG_MpsW	MAKEC4ID('M', 'p', 's', 'W')	// Map scroll area width size
#define TAG_MpsH	MAKEC4ID('M', 'p', 's', 'H')	// Map scroll area height size
#define TAG_MpsX	MAKEC4ID('M', 'p', 's', 'X')	// Map scroll area x position
#define TAG_MpsY	MAKEC4ID('M', 'p', 's', 'Y')	// Map scroll area y position
#define TAG_MpsR	MAKEC4ID('M', 'p', 's', 'R')	// Map scroll area inner box RGB color - Red
#define TAG_MpsG	MAKEC4ID('M', 'p', 's', 'G')	//		Green
#define TAG_MpsB	MAKEC4ID('M', 'p', 's', 'B')	//		Blue
#define TAG_MpsT	MAKEC4ID('M', 'p', 's', 'T')	// Map scroll area inner box Thickness
#define TAG_MMcu	MAKEC4ID('M', 'M', 'c', 'u')	// Mini Map Cycle Update
#define TAG_MMag	MAKEC4ID('M', 'M', 'a', 'g')	// Mini Map Magnification level
#define TAG_MMov	MAKEC4ID('M', 'M', 'o', 'v')	// Mini Map Overlay
#define TAG_MMoX	MAKEC4ID('M', 'M', 'o', 'X')	// Mini Map Overlay x position
#define TAG_MMoY	MAKEC4ID('M', 'M', 'o', 'Y')	// Mini Map Overlay y position
//mini map terrain type RGB's
#define TAG_mnoR	MAKEC4ID('m', 'c', 'l', 'R')	// Mini Map RGB terrain type - CLEAR (good for checking missing template values)
#define TAG_mnoG	MAKEC4ID('m', 'n', 'o', 'G')	
#define TAG_mnoB	MAKEC4ID('m', 'n', 'o', 'B')	
#define TAG_mgrR	MAKEC4ID('m', 'g', 'r', 'R')	// Mini Map RGB terrain type - GRASS
#define TAG_mgrG	MAKEC4ID('m', 'g', 'r', 'G')	
#define TAG_mgrB	MAKEC4ID('m', 'g', 'r', 'B')	
#define TAG_msaR	MAKEC4ID('m', 's', 'a', 'R')	// Mini Map RGB terrain type - SAND
#define TAG_msaG	MAKEC4ID('m', 's', 'a', 'G')	
#define TAG_msaB	MAKEC4ID('m', 's', 'a', 'B')	
#define TAG_msnR	MAKEC4ID('m', 's', 'n', 'R')	// Mini Map RGB terrain type - SNOW
#define TAG_msnG	MAKEC4ID('m', 's', 'n', 'G')	
#define TAG_msnB	MAKEC4ID('m', 's', 'n', 'B')	
#define TAG_mobR	MAKEC4ID('m', 'o', 'b', 'R')	// Mini Map RGB terrain type - OBSTACLE 
#define TAG_mobG	MAKEC4ID('m', 'o', 'b', 'G')	
#define TAG_mobB	MAKEC4ID('m', 'o', 'b', 'B')	
#define TAG_mboR	MAKEC4ID('m', 'b', 'o', 'R')	// Mini Map RGB terrain type - BUILDING (outside)
#define TAG_mboG	MAKEC4ID('m', 'b', 'o', 'G')	
#define TAG_mboB	MAKEC4ID('m', 'b', 'o', 'B')	
#define TAG_mbiR	MAKEC4ID('m', 'b', 'i', 'R')	// Mini Map RGB terrain type - BUILDING (inside)
#define TAG_mbiG	MAKEC4ID('m', 'b', 'i', 'G')	
#define TAG_mbiB	MAKEC4ID('m', 'b', 'i', 'B')	
#define TAG_mtrR	MAKEC4ID('m', 't', 'r', 'R')	// Mini Map RGB terrain type - TREES
#define TAG_mtrG	MAKEC4ID('m', 't', 'r', 'G')	
#define TAG_mtrB	MAKEC4ID('m', 't', 'r', 'B')	
#define TAG_mstR	MAKEC4ID('m', 's', 't', 'R')	// Mini Map RGB terrain type - STONE
#define TAG_mstG	MAKEC4ID('m', 's', 't', 'G')	
#define TAG_mstB	MAKEC4ID('m', 's', 't', 'B')	
#define TAG_mroR	MAKEC4ID('m', 'r', 'o', 'R')	// Mini Map RGB terrain type - ROADS
#define TAG_mroG	MAKEC4ID('m', 'r', 'o', 'G')	
#define TAG_mroB	MAKEC4ID('m', 'r', 'o', 'B')	
#define TAG_mwaR	MAKEC4ID('m', 'w', 'a', 'R')	// Mini Map RGB terrain type - WATER
#define TAG_mwaG	MAKEC4ID('m', 'w', 'a', 'G')	
#define TAG_mwaB	MAKEC4ID('m', 'w', 'a', 'B')	
#define TAG_mbrR	MAKEC4ID('m', 'b', 'r', 'R')	// Mini Map RGB terrain type - BRIDGE
#define TAG_mbrG	MAKEC4ID('m', 'b', 'r', 'G')	
#define TAG_mbrB	MAKEC4ID('m', 'b', 'r', 'B')	
#define TAG_mgaR	MAKEC4ID('m', 'g', 'a', 'R')	// Mini Map RGB terrain type - GATE
#define TAG_mgaG	MAKEC4ID('m', 'g', 'a', 'G')	
#define TAG_mgaB	MAKEC4ID('m', 'g', 'a', 'B')	
#define TAG_mdiR	MAKEC4ID('m', 'd', 'i', 'R')	// Mini Map RGB terrain type - DIRT
#define TAG_mdiG	MAKEC4ID('m', 'd', 'i', 'G')	
#define TAG_mdiB	MAKEC4ID('m', 'd', 'i', 'B')	
//mini map player color defaults
#define TAG_mp1R	MAKEC4ID('m', 'p', '1', 'R')	// player 1
#define TAG_mp1G	MAKEC4ID('m', 'p', '1', 'G')	
#define TAG_mp1B	MAKEC4ID('m', 'p', '1', 'B')	
#define TAG_mp2R	MAKEC4ID('m', 'p', '2', 'R')	// player 2
#define TAG_mp2G	MAKEC4ID('m', 'p', '2', 'G')	
#define TAG_mp2B	MAKEC4ID('m', 'p', '2', 'B')	
#define TAG_mp3R	MAKEC4ID('m', 'p', '3', 'R')	// player 3
#define TAG_mp3G	MAKEC4ID('m', 'p', '3', 'G')	
#define TAG_mp3B	MAKEC4ID('m', 'p', '3', 'B')	
#define TAG_mp4R	MAKEC4ID('m', 'p', '4', 'R')	// player 4
#define TAG_mp4G	MAKEC4ID('m', 'p', '4', 'G')	
#define TAG_mp4B	MAKEC4ID('m', 'p', '4', 'B')	
#define TAG_mp5R	MAKEC4ID('m', 'p', '5', 'R')	// player 5
#define TAG_mp5G	MAKEC4ID('m', 'p', '5', 'G')	
#define TAG_mp5B	MAKEC4ID('m', 'p', '5', 'B')	
#define TAG_mp6R	MAKEC4ID('m', 'p', '6', 'R')	// player 6
#define TAG_mp6G	MAKEC4ID('m', 'p', '6', 'G')	
#define TAG_mp6B	MAKEC4ID('m', 'p', '6', 'B')	
#define TAG_mp7R	MAKEC4ID('m', 'p', '7', 'R')	// player 7
#define TAG_mp7G	MAKEC4ID('m', 'p', '7', 'G')	
#define TAG_mp7B	MAKEC4ID('m', 'p', '7', 'B')	
#define TAG_mp8R	MAKEC4ID('m', 'p', '8', 'R')	// player 8
#define TAG_mp8G	MAKEC4ID('m', 'p', '8', 'G')	
#define TAG_mp8B	MAKEC4ID('m', 'p', '8', 'B')
//mini map other colors	
#define TAG_mvhR	MAKEC4ID('m', 'v', 'h', 'R')	// Vampire Hunter
#define TAG_mvhG	MAKEC4ID('m', 'v', 'h', 'G')	
#define TAG_mvhB	MAKEC4ID('m', 'v', 'h', 'B')
#define TAG_mpeR	MAKEC4ID('m', 'p', 'e', 'R')	// Peasants
#define TAG_mpeG	MAKEC4ID('m', 'p', 'e', 'G')	
#define TAG_mpeB	MAKEC4ID('m', 'p', 'e', 'B')

//Animation
#define TAG_Atyp	MAKEC4ID('A', 't', 'y', 'p')	//cycler type 0=None, 1=forward,2=reverse,3=oscillate,4=random
#define TAG_Aspn	MAKEC4ID('A', 's', 'p', 'n')	//cycler span: 0=continuous, 1=intermittent
#define TAG_Anwt	MAKEC4ID('A', 'n', 'w', 't')	//Minimum wait time between animations in seconds
#define TAG_Axwt	MAKEC4ID('A', 'x', 'w', 't')	//Maximum wait time between animations in seconds
#define TAG_Alta	MAKEC4ID('A', 'l', 't', 'a')	//Loops Thru Animation: Positive #'s - times thru, Negative #'s - seconds of animation
													// 2 = 2 times thru (fractions dropped)
													// -.5 = a half a second of animation
#define TAG_Acpf	MAKEC4ID('A', 'c', 'p', 'f')	//Cycles per Frame, 1=20 animation cycles per second, 2=10, 3=6.66, etc
#define TAG_Alst	MAKEC4ID('A', 'l', 's', 't')	//Last Cel Stop
													//If Alta is positive, then this tag is active:
													//0 - stop on cel 0 OR 1 - stop on last cel in loop



#define TAG_TIMW	MAKEC4ID('T', 'I', 'M', 'W')	// for some evil purpose somewhere




//
// LISTS
//
#define TAG_Lobs	MAKEC4ID('L', 'o', 'b', 's')	// obstacle list (x,y alternating) for exterior (regular)
#define TAG_Libs	MAKEC4ID('L', 'i', 'b', 's')	// obstacle list (x,y alternating) for interior (if any)
#define TAG_Lent	MAKEC4ID('L', 'e', 'n', 't')	// 'entrance' list (x,y alternating) for going INTO a building
#define TAG_Lext	MAKEC4ID('L', 'e', 'x', 't')	// 'entrance' list (x,y alternating) for going to exterior (exiting the building)
#define TAG_Lblp	MAKEC4ID('L', 'b', 'l', 'p')	// list of blood pool template animations

#define TAG_ctem	MAKEC4ID('c', 't', 'e', 'm')	// Children sub-Templates
#define TAG_ctno	MAKEC4ID('c', 't', 'n', 'o')	// Children sub-Templates Node Offsets (must be in pairs)

// LISTS FOR CLAN
// list of the 8 palettes that that clan uses
#define TAG_Lpal	MAKEC4ID('L', 'p', 'a', 'l')


// SOUNDS (lists)
// 'yes' sounds (you rang)
#define TAG_Syes	MAKEC4ID('S', 'y', 'e', 's')	

// 'OK' sounds (yes sir)
#define TAG_Soks	MAKEC4ID('S', 'o', 'k', 's')	

// attack sounds
#define TAG_Satk	MAKEC4ID('S', 'a', 't', 'k')	

// damage 1 sounds (low)
#define TAG_Sdm1	MAKEC4ID('S', 'd', 'm', '1')	

// damage 2 sounds (medium)
#define TAG_Sdm2	MAKEC4ID('S', 'd', 'm', '2')	

// damage 3 sounds (high)
#define TAG_Sdm3	MAKEC4ID('S', 'd', 'm', '3')	

// death sounds
#define TAG_Sdth	MAKEC4ID('S', 'd', 't', 'h')	

// miss sounds
#define TAG_Smis	MAKEC4ID('S', 'm', 'i', 's')	

// weirdo alert
#define TAG_Swei 	MAKEC4ID('S', 'w', 'e', 'i')

// Pronounce Rigur
#define TAG_Sc00	MAKEC4ID('S', 'c', '0', '0')
// Pronounce Baital	
#define TAG_Sc01	MAKEC4ID('S', 'c', '0', '1')	
// Pronounce Vryko
#define TAG_Sc02	MAKEC4ID('S', 'c', '0', '2')	
// Pronounce Haiduk
#define TAG_Sc03	MAKEC4ID('S', 'c', '0', '3')	


//
// STRINGS
//
#define TAG_NAME	MAKEC4ID('N', 'A', 'M', 'E')	// name!
#define TAG_SMAP	MAKEC4ID('S', 'M', 'A', 'P')	// starting game map

#endif

