#ifndef _window
#define _window

#include "vwindow.h"

class sciEvent;

#define WIN_FORCE_BORDERLESS	TRUE
#define WIN_NORMAL_BORDER		FALSE

class Window : public VWindow
{
public:
	Window();
	~Window();
	virtual void MakeWindow(int nWidth = 640, int nHeight = 480, BOOL bForceBorderless = FALSE);
	void Show();
	void Hide();
	virtual void Erase(RECT &rcPaint);
	virtual void Paint(RECT &rcPaint);
	virtual void TruePaint(RECT &rcPaint);
	void ForceUpdate();
	void PaintIfDirty();
	void vMoveUL(void);
	void vRestoreFromUL(void);
	HWND hMakeDDWindow(int nWidth, int nHeight);

	HDC hGetDC(void) {return hDC;}
	void vReleaseDC(void) {;}

	HWND hWnd;
	HDC hDC;
	HCURSOR hHandCursor;
	HCURSOR hWaitCursor;
	HCURSOR hNormalCursor;
};

Boolean bGetInputEvent(sciEvent *poEvent);

#endif // _window
