#ifndef _scisound
#define _scisound

#include "sciobj.h"

class sciScript;
class ResourceManager;
class SoundEmitter;

class sciSound : public sciObject
	{
	public:
		sciSound(ResourceManager *newResourceManager = NULL);
		~sciSound();
		void Play(int newNumber = -1, int volume = -1, int SoundPriority = 1, sciScript *whoToCue = NULL);
		void Emit(SoundEmitter * poSoundEmitter, int newNumber = -1, int volume = -1, int SoundPriority = 1, sciScript *whoToCue = NULL);

		void SetNumber(int newNumber);
		void Stop();
		void SetLoop(int newLoop);

		BOOL talkingSound;

	protected:
		int number;
		int volume;
		ResourceManager *resourceManager;
		int loop;
	};

#endif // _scisound
