#ifndef _SOUND_
#define _SOUND_

#include "vsound.h"

class ResourceManager;

// SOUND OBJECT
// FOR USE WITH DIRECTSOUND


class Sound : public VSound {
	public:
		Sound(int iResourceID, ResourceManager *resourceManager = NULL);
		~Sound();
		void PrepareForStreaming();
		BOOL bStreaming() { return mbStreaming; }
		int	itsEndTime;
		LPDIRECTSOUNDBUFFER GetDSB();
	private:
		BOOL mbStreaming;
		LPDIRECTSOUNDBUFFER mpDSB;
		void PrepareForStaticPlay();
	};

#endif
