#ifndef _vsound
#define _vsound

#include "resource.h"

class UniHandle;

typedef enum
	{
	WF_NONE	= 0,
	WF_8BITMONO,
	WF_8BITSTEREO,
	WF_16BITMONO,
	WF_16BITSTEREO
	} WAVE_FORMATS;

class VSound : public Resource
	{
	public:
		VSound(int newResourceID, ResourceManager *newResourceManager);
		virtual ~VSound();
		void Free();
		BYTE *GetData();

		WAVE_FORMATS	wfFormat;
		WORD			wSamplesPerSec;
		DWORD			dwNumOfSamples;
		UniHandle		*pSamples;
		int				loop;
		WAVEFORMATEX	wfFormatEx;
	};

#endif
