#ifndef _vsounder
#define _vsounder

#include "object.h"

class Sound;
class ResourceManager;

class VSounder : public Object
	{
	public:
		VSounder();
		~VSounder();
		int Play(Sound *pSound);	// Return # of ticks sound will play.
		int Play(int resourceID, ResourceManager *resourceManager = NULL, int newLoop = 0);
		BOOL IsSoundPlaying();
		void EndSoundAfterCompletion();
		virtual void EndSound() = 0;

	protected:
		virtual void PlayItNow() = 0;

		Sound 		*playingSound;
		Boolean		deleteSound;
		Boolean		playSounds;
	};

#endif // _vsounder
